import { Data, animate, Override, Animatable } from "framer";

const contentOffsetValue = Animatable(1);

export const ScrollController: Override = () => {
  return {
    contentOffsetY: contentOffsetValue
  };
};

export const AnimateToPosition: Override = () => {
  return {
    onTap() {
      animate.ease(contentOffsetValue, -780);
    }
  };
};

export const AnimateToTop: Override = () => {
  return {
    onTap() {
      animate.ease(contentOffsetValue, 0);
    }
  };
};
