
import * as React from "react";
import { Frame, Animatable, animate } from "framer";

const style: React.CSSProperties = {
    width: "50px",
    height: "50px",
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    textAlign: "center",
    color: "#8855FF",
    background: "transparent",
    overflow: "hidden"
};

const heartStyle: React.CSSProperties = {
    position: "absolute",
    top: "0",
    left: "0",
    background: "transparent"
}


export class Heart extends React.Component {

    static defaultProps = {
        width: 25,
        height: 25
    }

    scale = Animatable(0);
    opacity = Animatable(0);
    toggle = true;

    animateScale = () => {
        animate.spring(this.scale, this.toggle ? 1 : 0, { tension: 300, friction: 22 });
        animate.linear(this.opacity, this.toggle ? 1 : 0, 0.3);
        this.toggle = !this.toggle;
    };

    render() {
        return (
            <div style={style} onClick={this.animateScale}>

                <svg style={heartStyle} xmlns="http://www.w3.org/2000/svg" width="25" height="25"><path d="M 8 3 C 10 3 11.401 4.254 12.5 5.5 C 13.599 4.254 15 3 17 3 C 19 3 23 4 23 9 C 23 16 12.5 22 12.5 22 C 12.5 22 2 16 2 9 C 2 4 6 3 8 3 Z" fill="transparent" stroke="#555"></path></svg>

                <Frame style={heartStyle} scale={this.scale} opacity={this.opacity} width={25} height={25} background={"transparent"}>
                    <svg xmlns="http://www.w3.org/2000/svg" width="25" height="25"><path d="M 8 3 C 10 3 11.401 4.254 12.5 5.5 C 13.599 4.254 15 3 17 3 C 19 3 23 4 23 9 C 23 16 12.5 22 12.5 22 C 12.5 22 2 16 2 9 C 2 4 6 3 8 3 Z" fill="hsl(0, 0%, 100%)" stroke="#FFF"></path></svg>
                </Frame>
            </div >
        )
    }
}
